package cn.org.bjca.trust.push.kit

import android.content.Context
import cn.org.bjca.trust.push.message.client.ImConnectOptions
import cn.org.bjca.trust.push.message.msg.SendMessage

interface ImClientInterface {
    fun connect(context: Context, mImConnectOptions: ImConnectOptions)
    fun reConnect()
    fun disConnect()
    fun isConnect(): Boolean
    fun isConnecting(): Boolean
    fun sendMessage(msg: SendMessage)
}